<!doctype html>
<html lang="en">
<head>
    <!--
        Jordan Merriman
        09/09
    -->
	<meta charset="utf-8">
	<title>Form Feedback</title>
	<style type="text/css" title="text/css" media="all">
	.error {
		font-weight: bold;
		color: #C00;
	}
	</style>
</head>
<body>


    <form action="handle_form.php" method="post">

        <fieldset><legend>Enter your information in the form below:</legend>

        <p><label>Name: <input type="text" name="name" size="20" maxlength="40"></label></p>

        <p><label>Email Address: <input type="email" name="email" size="40" maxlength="60"></label></p>

        <p><label for="gender">Gender: </label><input type="radio" name="gender" value="M"> Male <input type="radio" name="gender" value="F"> Female</p>

        <p><label>Age:
        <select name="age">
            <option value="0-29">Under 30</option>
            <option value="30-60">Between 30 and 60</option>
            <option value="60+">Over 60</option>
        </select></label></p>

        <p><label>Comments: <textarea name="comments" rows="3" cols="40"></textarea></label></p>

        </fieldset>

        <p align="center"><input type="submit" name="submit" value="Submit My Information"></p>

    </form>










<?php # Script 2.4 - handle_form.php #3

// Validate the name:
if (!empty($_REQUEST['name'])) {
	$name = $_REQUEST['name'];
} else {
	$name = NULL;
	echo '<p class="error">You forgot to enter your name!</p>';
}

// Validate the email:
if (!empty($_REQUEST['email'])) {
	$email = $_REQUEST['email'];
} else {
	$email = NULL;
	echo '<p class="error">You forgot to enter your email address!</p>';
}

// Validate the comments:
if (!empty($_REQUEST['comments'])) {
	$comments = $_REQUEST['comments'];
} else {
	$comments = NULL;
	echo '<p class="error">You forgot to enter your comments!</p>';
}

// Validate the gender:
if (isset($_REQUEST['gender']) && $_REQUEST['gender']=="M") {
    $gender = $_REQUEST['gender'];
    $greeting = "<p><strong>Good day, Sir!</strong></p>";


} elseif(isset($_REQUEST['gender']) && $_REQUEST['gender']=="F") {
    $gender = $_REQUEST['gender'];
    $greeting = "<p><strong>Good day, Madam!</strong></p>";



} else { // $_REQUEST['gender'] is not set.
	$gender = NULL;
	echo '<p class="error">You forgot to select your gender!</p>';
}


if(isset($_REQUEST['age']) && $_REQUEST['age'] == "0-29"){

    $age = $_REQUEST['age'];
    
}elseif(isset($_REQUEST['age']) && $_REQUEST['age'] == "30-60"){

    $age = $_REQUEST['age'];
    

}elseif(isset($_REQUEST['age']) && $_REQUEST['age'] == "60+"){
    $age = $_REQUEST['age'];
    

}else {
    $age = NULL;
    echo '<p class="error">You forgot to select your age group</p>';
}



// If everything is OK, print the message:
if ($name && $email && $gender && $comments && $age) {

	echo "<p>Thank you, <strong>$name</strong>, for the following comments:</p>
	<pre>$comments</pre>
	<p>We will reply to you at <em>$email</em>.</p>\n";
    
    echo $age;
	echo $greeting;

} else { // Missing form value.
	echo '<p class="error">Please go back and fill out the form again.</p>';
}

?>
</body>
</html>